import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:minehunter/cubit/game_cubit.dart';
import 'package:minehunter/models/game/game.dart';
import 'package:minehunter/ui/widgets/actions/button_game_quit.dart';

class GameEndWidget extends StatelessWidget {
  const GameEndWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final Image decorationImage = Image(
          image: AssetImage(currentGame.gameWin
              ? 'assets/ui/game_win.png'
              : currentGame.gameFail
                  ? 'assets/ui/game_fail.png'
                  : ''),
          fit: BoxFit.fill,
        );

        return Container(
          margin: const EdgeInsets.all(2),
          padding: const EdgeInsets.all(2),
          child: Table(
            defaultColumnWidth: const IntrinsicColumnWidth(),
            children: [
              TableRow(
                children: [
                  Column(
                    children: [decorationImage],
                  ),
                  Column(
                    children: [
                      currentGame.animationInProgress
                          ? decorationImage
                          : const QuitGameButton()
                    ],
                  ),
                  Column(
                    children: [decorationImage],
                  ),
                ],
              ),
            ],
          ),
        );
      },
    );
  }
}
