import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:minehunter/cubit/game_cubit.dart';
import 'package:minehunter/models/game/game.dart';
import 'package:minehunter/ui/widgets/game/mode_button_toggle.dart';
import 'package:minehunter/ui/widgets/game/mode_indicator_report.dart';
import 'package:minehunter/ui/widgets/game/mode_indicator_walk.dart';

class ToggleGameMode extends StatelessWidget {
  const ToggleGameMode({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<GameCubit, GameState>(
      builder: (BuildContext context, GameState gameState) {
        final Game currentGame = gameState.currentGame;

        final String skin = currentGame.globalSettings.skin;

        final Image paddingBlock = Image(
          image: AssetImage('assets/skins/${skin}_empty.png'),
          fit: BoxFit.fill,
        );

        return Table(
          defaultColumnWidth: const IntrinsicColumnWidth(),
          children: [
            TableRow(
              children: [
                TableCell(child: paddingBlock),
                const TableCell(child: GameModeIndicatorWalk()),
                const TableCell(child: ToggleGameModeButton()),
                const TableCell(child: GameModeIndicatorReport()),
                TableCell(child: paddingBlock),
              ],
            ),
          ],
        );
      },
    );
  }
}
